Name:           galculator
Version:        1.3.4
Release:        1%{?dist}
Summary:        GTK 2 based scientific calculator

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://galculator.sourceforge.net/
Source0:        http://download.sf.net/sourceforge/galculator/galculator-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libglade2-devel
BuildRequires:  perl(XML::Parser)

%description
galculator is a GTK 2 based scientific calculator with "ordinary" and reverse
polish notation.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category "Calculator;GTK;"                      \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%attr(0755,root,root) %{_bindir}/galculator
%{_datadir}/applications/fedora-galculator.desktop
%{_datadir}/galculator/
%{_datadir}/pixmaps/galculator.*
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Mar  1 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.3.4-1
- Update to 1.3.4

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun  4 2008 Tomas Mraz <tmraz@redhat.com> - 1.3.1-1
- upgrade to latest upstream

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.5.2-3
- Autorebuild for GCC 4.3

* Tue Aug 21 2007 Tomas Mraz <tmraz@redhat.com> - 1.2.5.2-2
- rebuild

* Mon Aug 13 2007 Tomas Mraz <tmraz@redhat.com> - 1.2.5.2-1
- upgrade to latest upstream
- fix build on new GTK 2

* Thu Sep  7 2006 Tomas Mraz <tmraz@redhat.com> - 1.2.5-5
- rebuilt for FC6

* Wed Feb 15 2006 Tomas Mraz <tmraz@redhat.com> - 1.2.5-4
- rebuilt for gcc changes

* Wed Feb  8 2006 Tomas Mraz <tmraz@redhat.com> - 1.2.5-3
- GladeXML is GObject and cannot be g_free-d (#178227)

* Thu Aug 18 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.5-2
- rebuilt

* Mon Jul 25 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.5-1
- Update to 1.2.5 (also fixes #162018).

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Nov 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.2.4-2
- Spec cleanup, bump release.

* Thu Oct 21 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.2.4-0.fdr.1
- 1.2.4.

* Fri May 28 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.2.3-0.fdr.1
- 1.2.3.

* Mon Apr 12 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.2.2-0.fdr.3
- BuildReq perl-XML-Parser.

* Mon Apr 12 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.2.2-0.fdr.2
- BuildReq intltool.

* Sat Apr 10 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.2.2-0.fdr.1
- Updated to 1.2.2.
- Using upstream desktop entry.
- Dropped icon.

* Tue Nov 11 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.1.4-0.fdr.1
- Updated to 1.1.4.

* Mon Sep 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.1.3-0.fdr.1
- Updated to 1.1.3.

* Tue Jul 08 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.1.2-0.fdr.1
- Updated to 1.1.2.

* Sat Jun 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.1.1-0.fdr.2
- Added BuildReq gettext.
- Added find_lang.
- Explicitly set permissions on install of icon and desktop entry.
- Changed path of Source0.

* Mon Jun 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.1.1-0.fdr.1
- Updated to 1.1.1.

* Sun Apr 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0-0.fdr.2
- Applied Spec Patch from Adrian Reber.

* Fri Apr 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:1.0-0.fdr.1
- Fedorafied.

* Thu Oct 3 2002 Simon Floery <simon.floery@gmx.at>
- description update
